Days that gained well above the trailing median, each with the post that drove it most
GET
/api/public/v1/content/spikesLiveAnswers from your brand's records now.
Operation id getContentSpikes
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/content/spikes" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| campaign_ids | query | string | |
| platform | query | string | One of instagramtik_tokyoutubefacebooktwitter |
| metric | query | string | One of viewslikescommentssharessaves |
| baseline_days | query | integer | |
| threshold | query | number |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.baseline_days | integer | |
| data.metric | string | |
| data.spikes | array of object | |
| data.spikes[].[].baseline | number | |
| data.spikes[].[].date | string (date) | |
| data.spikes[].[].ratio | number, nullable | |
| data.spikes[].[].top | object, nullable | |
| data.spikes[].[].top.creator_name | string, nullable | |
| data.spikes[].[].top.gain | integer | |
| data.spikes[].[].top.platform | string | |
| data.spikes[].[].top.share | number | |
| data.spikes[].[].top.social_post_id | string | |
| data.spikes[].[].top.user_id | integer, nullable | |
| data.spikes[].[].value | integer | |
| data.threshold | number | |
| meta | object | |
| meta.campaign_ids | array of integer | |
| meta.organization_id | integer | |
| meta.platform | string, nullable | |
| meta.scope | string | One of familybrandcampaign |
| success | boolean |
Example
{
"data": {
"baseline_days": 3,
"metric": "string",
"spikes": [
{
"baseline": 125.5,
"date": "2026-11-01",
"ratio": 125.5,
"top": {
"creator_name": "Example name",
"gain": 3,
"platform": "string",
"share": 125.5,
"social_post_id": "string",
"user_id": 1024
},
"value": 3
}
],
"threshold": 125.5
},
"meta": {
"campaign_ids": [
3
],
"organization_id": 1024,
"platform": "string",
"scope": "family"
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.